> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://esendex.ferndocs.com/api-reference/contacts/get-all-contacts/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://esendex.ferndocs.com/_mcp/server. # Get all contacts GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter Reference: https://esendex.ferndocs.com/api-reference/contacts/get-all-contacts ## Authentication - `X-API-Key` header (required) — Your Esendex API key. ## Request ### Query parameters - `GroupId` (list of string, optional) - `Destination` (string, optional) - `OptOutStatus` (enum, optional) - Allowed values: `Subscribed`, `Unsubscribed` - `AddressType` (string, optional) - `MetadataKey` (string, optional) - `MetadataValue` (string, optional) - `Search` (string, optional) - `ContactOwnership` (enum, optional) - Allowed values: `Owned`, `Shared`, `All` - `SortBy` (enum, optional) - Allowed values: `LastUpdatedAt`, `CreatedAt`, `FirstName`, `LastName`, `QuickName`, `Country` - `SortOrder` (enum, optional) - Allowed values: `Asc`, `Desc` - `PageNo` (V2ContactsFilterGetParametersPageNo, optional) - `PageSize` (V2ContactsFilterGetParametersPageSize, optional) ### Headers - `AccountReference` (string, optional) — Optional AccountReference header ## Response ### 200 OK - `data` (GetAllContactsResponse, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Types ### V2ContactsFilterGetParametersPageNo ### V2ContactsFilterGetParametersPageSize ### GetAllContactsResponse - `contacts` (list of GetAllContactsResponseContactsItems, optional) - `filterOptions` (GetAllContactsResponseFilterOptions, optional) - `totalCount` (GetAllContactsResponseTotalCount, optional) - `totalPages` (GetAllContactsResponseTotalPages, optional) - `currentPage` (GetAllContactsResponseCurrentPage, optional) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### GetAllContactsResponseContactsItems - `contactId` (string, optional) - `accountReference` (string, optional, nullable) - `firstName` (string, optional, nullable) - `lastName` (string, optional, nullable) - `quickName` (string, optional, nullable) - `lastUpdatedBy` (string, optional, nullable) - `contactOwnership` (enum, optional) - Allowed values: `Owned`, `Shared`, `All` - `createTimestamp` (datetime, optional) - `lastUpdateTimestamp` (datetime, optional) - `addresses` (list of GetAllContactsResponseContactsItemsAddressesItems, optional) - `smsOptOutStatus` (enum, optional) - Allowed values: `Subscribed`, `Unsubscribed` - `contactMetadata` (map from string to string, optional, nullable) - `groupIds` (list of string, optional) ### GetAllContactsResponseFilterOptions - `accountReference` (string, optional, nullable) ### GetAllContactsResponseTotalCount ### GetAllContactsResponseTotalPages ### GetAllContactsResponseCurrentPage ### GetAllContactsResponseContactsItemsAddressesItems - `addressId` (string, optional) - `addressType` (string, optional, nullable) - `addressValue` (string, optional, nullable) - `destinationCode` (string, optional, nullable) - `optOutStatus` (enum, optional) - Allowed values: `Subscribed`, `Unsubscribed` ## Examples **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/contacts/filter")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```